
Core - Bug # 29041

Status: Closed Priority: Must have
Author: Patrick Broens Category: Frontend
Created: 2011-08-17 Assigned To: Patrick Broens
Updated: 2012-03-07 Due date:
TYPO3 Version: 4.6
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: Enlarge on click does not work anymore for images
Description

Problem:
The javascript function openPic is not added anymore to the page when "Enlarge on click" is enabled for images in the cObj "Text with
images" or "Images".

Solution:
After a lookup it seems in #27983 (Remove deprecated parts marked for removal) too much was removed.

$GLOBALS['TSFE']->additionalJavaScript

was never rendered anymore and is used to add javascript function openPic to the page, when "Enlarge to click" is enabled

How to reproduce:
Add content object "Images" to a page, add an image to it and enable "Enlarge to click". Not a popup but a new tab will open.

Associated revisions
Revision 8577bd35 - 2011-08-17 22:40 - Patrick Broens

[BUGFIX] Enlarge on click for images does not open a popup

With issue #27983 some deprecated parts were removed but obviously too much. Although $GLOBALS['TSFE']->additionalJavascript is used
throughout the core, after this issue it was never rendered anymore in the frontend.

The javascript function openPic was never added to the frontend because of this.

This patch reinstates the responsible lines which were removed for Enlarge on click

Change-Id: I8e182be8e894e49212a5a4249118b44c0e0bd954
Resolves: #29041
Releases: 4.6
Reviewed-on: http://review.typo3.org/4392
Tested-by: Soren Malling
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
History
#1 - 2011-08-17 13:36 - Mr. Hudson

Patch set 1 of change I8e182be8e894e49212a5a4249118b44c0e0bd954 has been pushed to the review server.
It is available at http://review.typo3.org/4392

#2 - 2011-08-17 14:11 - Susanne Moog
- Status changed from New to Under Review

#3 - 2011-08-17 23:00 - Patrick Broens
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8577bd35af8c29de2c071b0600ff0fc17815cb55.

#4 - 2012-03-07 13:38 - Xavier Perseguers
- Status changed from Resolved to Closed
